---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Latest Charging Session

Get last updated charging session. Rate limited at max 10 requests per 60 minutes.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "Charge Session",
      "x-displayName": "Charge Session"
    }
  ],
  "paths": {
    "/api/chargers/{chargerId}/sessions/latest": {
      "get": {
        "tags": [
          "Charge Session"
        ],
        "summary": "Latest Charging Session",
        "description": "Get last updated charging session. Rate limited at max 10 requests per 60 minutes.",
        "operationId": "Chargers_GetLastUpdatedChargeSession",
        "parameters": [
          {
            "name": "chargerId",
            "in": "path",
            "required": true,
            "description": "Charger ID",
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "200": {
            "description": "Charging session",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Easee.ChargeSessionTracking.WebApi_UsageStatisticsDTO"
                }
              }
            }
          },
          "404": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Easee.ChargeSessionTracking.WebApi_ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Easee.ChargeSessionTracking.WebApi_UsageStatisticsDTO": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "chargerId": {
            "type": "string"
          },
          "sessionEnergy": {
            "type": "number",
            "format": "double"
          },
          "sessionStart": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "sessionEnd": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "sessionId": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "chargeDurationInSeconds": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "firstEnergyTransferPeriodStart": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "lastEnergyTransferPeriodEnd": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "pricePrKwhIncludingVat": {
            "type": "number",
            "format": "decimal",
            "nullable": true
          },
          "pricePerKwhExcludingVat": {
            "type": "number",
            "format": "decimal",
            "nullable": true
          },
          "vatPercentage": {
            "type": "number",
            "format": "decimal",
            "nullable": true
          },
          "currencyId": {
            "type": "string"
          },
          "costIncludingVat": {
            "type": "number",
            "format": "decimal",
            "nullable": true
          },
          "costExcludingVat": {
            "type": "number",
            "format": "decimal",
            "nullable": true
          },
          "ocmfData": {
            "type": "string",
            "nullable": true
          },
          "authorizationToken": {
            "type": "string",
            "nullable": true
          },
          "authorizedUserId": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          }
        }
      },
      "Easee.ChargeSessionTracking.WebApi_ProblemDetails": {
        "type": "object",
        "additionalProperties": {
          "nullable": true
        },
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```